Skip to main content
GET
/
watchtower
/
monitor
/
sessions
/
{session_id}
/
tool-calls
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tool_name": "<string>",
      "latency_ms": 123,
      "args_redacted": {},
      "error_redacted": "<string>",
      "called_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>",
  "has_more": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

session_id
string<uuid>
required

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 200
cursor
string | null
status
enum<string> | null

Tool call result status for Watchtower monitor APIs.

Available options:
success,
error,
timeout,
rejected,
blocked

Response

Successful Response

Paginated response for Watchtower tool calls.

items
WatchtowerAgentToolCallRead · object[]
required
next_cursor
string | null
has_more
boolean
default:false